Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -9841,28 +17554,317 @@
   0xb041   ExposureMode                         int16u
   0xb042   FocusMode                            int16u
-  0xb043   AFMode                               int16u
+  0xb043   AFAreaMode                           int16u
   0xb044   AFIlluminator                        int16u
-  0xb047   Quality                              int16u
+  0xb047   JPEGQuality                          int16u
   0xb048   FlashLevel                           int16s
   0xb049   ReleaseMode                          int16u
   0xb04a   SequenceNumber                       int16u
   0xb04b   Anti-Blur                            int16u
-  0xb04e   LongExposureNoiseReduction           int16u
+  0xb04e   FocusMode                            int16u
   0xb04f   DynamicRangeOptimizer                int16u
+  0xb050   HighISONoiseReduction2               int16u
   0xb052   IntelligentAuto                      int16u
   0xb054   WhiteBalance                         int16u
 
+=head3 Sony CameraInfo Tags
+
+Camera information for the A700, A850 and A900.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensSpec                             undef[8]
+     20    FocusModeSetting                     int8u
+     21    AFPointSelected                      int8u
+     25    AFPoint                              int8u
+     30    AFStatusActiveSensor                 int16s
+     32    AFStatusUpper-left                   int16s
+     34    AFStatusLeft                         int16s
+     36    AFStatusLower-left                   int16s
+     38    AFStatusFarLeft                      int16s
+     40    AFStatusBottomAssist-left            int16s
+     42    AFStatusBottom                       int16s
+     44    AFStatusBottomAssist-right           int16s
+     46    AFStatusCenter-7                     int16s
+     48    AFStatusCenter-horizontal            int16s
+     50    AFStatusCenter-9                     int16s
+     52    AFStatusCenter-10                    int16s
+     54    AFStatusCenter-11                    int16s
+     56    AFStatusCenter-12                    int16s
+     58    AFStatusCenter-vertical              int16s
+     60    AFStatusCenter-14                    int16s
+     62    AFStatusTopAssist-left               int16s
+     64    AFStatusTop                          int16s
+     66    AFStatusTopAssist-right              int16s
+     68    AFStatusFarRight                     int16s
+     70    AFStatusUpper-right                  int16s
+     72    AFStatusRight                        int16s
+     74    AFStatusLower-right                  int16s
+     76    AFStatusCenterF2-8                   int16s
+    304    AFMicroAdjValue                      int8u
+    305    AFMicroAdjMode                       int8u & 0x80
+  305.1    AFMicroAdjRegisteredLenses           int8u & 0x7f
+
+=head3 Sony CameraInfo2 Tags
+
+Camera information for the DSLR-A200, A230, A290, A300, A330, A350, A380 and
+A390.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensSpec                             undef[8]
+     20    AFPointSelected                      int8u
+     21    FocusModeSetting                     int8u
+     24    AFPoint                              int8u
+     27    AFStatusActiveSensor                 int16s
+     29    AFStatusTop-right                    int16s
+     31    AFStatusBottom-right                 int16s
+     33    AFStatusBottom                       int16s
+     35    AFStatusMiddleHorizontal             int16s
+     37    AFStatusCenterVertical               int16s
+     39    AFStatusTop                          int16s
+     41    AFStatusTop-left                     int16s
+     43    AFStatusBottom-left                  int16s
+     45    AFStatusLeft                         int16s
+     47    AFStatusCenterHorizontal             int16s
+     49    AFStatusRight                        int16s
+
+=head3 Sony CameraInfo3 Tags
+
+Camera information stored by the A33, A35, A55, A450, A500, A550, A560,
+A580, NEX-3/5/5C/C3 and VG10E.  Some tags are valid only for some of these
+models.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    LensSpec                             undef[8]
+     14    FocalLength                          int16u
+     16    FocalLengthTeleZoom                  int16u
+     20    AFPointSelected                      int8u
+     21    FocusMode                            int8u
+     24    AFPoint                              int8u
+     25    FocusStatus                          int8u
+     27    AFStatusActiveSensor                 int16s
+     28    AFPointSelected                      int8u
+     29    FocusMode                            int8u
+           AFStatusTop-right                    int16s
+     31    AFStatusBottom-right                 int16s
+     32    AFPoint                              int8u
+     33    AFStatusActiveSensor                 int16s
+           AFStatusBottom                       int16s
+     35    AFStatus15                           Sony AFStatus15
+           AFStatusMiddleHorizontal             int16s
+     37    AFStatusCenterVertical               int16s
+     39    AFStatusTop                          int16s
+     41    AFStatusTop-left                     int16s
+     43    AFStatusBottom-left                  int16s
+     45    AFStatusLeft                         int16s
+     47    AFStatusCenterHorizontal             int16s
+     49    AFStatusRight                        int16s
+
+=head3 Sony AFStatus15 Tags
+
+AF Status information for models with 15-point AF.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    AFStatusUpper-left                   int16s
+      2    AFStatusLeft                         int16s
+      4    AFStatusLower-left                   int16s
+      6    AFStatusFarLeft                      int16s
+      8    AFStatusTopHorizontal                int16s
+     10    AFStatusNearRight                    int16s
+     12    AFStatusCenterHorizontal             int16s
+     14    AFStatusNearLeft                     int16s
+     16    AFStatusBottomHorizontal             int16s
+     18    AFStatusTopVertical                  int16s
+     20    AFStatusCenterVertical               int16s
+     22    AFStatusBottomVertical               int16s
+     24    AFStatusFarRight                     int16s
+     26    AFStatusUpper-right                  int16s
+     28    AFStatusRight                        int16s
+     30    AFStatusLower-right                  int16s
+     32    AFStatusUpper-middle                 int16s
+     34    AFStatusLower-middle                 int16s
+
+=head3 Sony CameraInfoUnknown Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 Sony FocusInfo Tags
+
+More camera settings and focus information decoded for models such as the
+A200, A230, A290, A300, A330, A350, A380, A390, A700, A850 and A900.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+     14    DriveMode2                           int8u
+     16    Rotation                             int8u
+     20    ImageStabilizationSetting            int8u
+     21    DynamicRangeOptimizerMode            int8u
+     43    BracketShotNumber                    int8u
+     44    WhiteBalanceBracketing               int8u
+     45    BracketShotNumber2                   int8u
+     46    DynamicRangeOptimizerBracket         int8u
+     47    ExposureBracketShotNumber            int8u
+     63    ExposureProgram                      int8u
+     65    CreativeStyle                        int8u
+    109    ISOSetting                           int8u
+    111    ISO                                  int8u
+    119    DynamicRangeOptimizerMode            int8u
+    121    DynamicRangeOptimizerLevel           int8u
+   2118    ShutterCount                         int32u
+   2491    FocusPosition                        int8u
+   4368    TiffMeteringImage                    no
+
+=head3 Sony MoreInfo Tags
+
+More camera settings information decoded for the A450, A500, A550, A560,
+A580, A33, A35, A55, NEX-3/5/C3 and VG10E.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   MoreSettings                         Sony MoreSettings
+  0x0002   FaceInfo                             Sony FaceInfo
+           FaceInfoA                            Sony FaceInfoA
+  0x0107   TiffMeteringImage                    no
+  0x0201   MoreInfo0201                         Sony MoreInfo0201
+  0x0401   MoreInfo0401                         Sony MoreInfo0401
+
+=head3 Sony MoreSettings Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    DriveMode2                           int8u
+      2    ExposureProgram                      int8u
+      3    MeteringMode                         int8u
+      4    DynamicRangeOptimizerSetting         int8u
+      5    DynamicRangeOptimizerLevel           int8u
+      6    ColorSpace                           int8u
+      7    CreativeStyleSetting                 int8u
+      8    ContrastSetting                      int8s
+      9    SaturationSetting                    int8s
+     10    SharpnessSetting                     int8s
+     13    WhiteBalanceSetting                  int8u
+     14    ColorTemperatureSetting              int8u
+     15    ColorCompensationFilterSet           int8s
+     16    FlashMode                            int8u
+     17    LongExposureNoiseReduction           int8u
+     18    HighISONoiseReduction                int8u
+     19    FocusMode                            int8u
+     21    MultiFrameNoiseReduction             int8u
+     22    HDRSetting                           int8u
+     23    HDRLevel                             int8u
+     24    ViewingMode                          int8u
+     25    FaceDetection                        int8u
+     26    CustomWB_RBLevels                    int16uRev[2]
+     30    BrightnessValue                      int8u
+           ExposureCompensationSet              int8u
+     31    ISO                                  int8u
+           FlashExposureCompSet                 int8u
+     32    FNumber                              int8u
+           LiveViewAFMethod                     int8u
+     33    ExposureTime                         int8u
+           ISO                                  int8u
+     34    FNumber                              int8u
+     35    FocalLength2                         int8u
+           ExposureTime                         int8u
+     36    ExposureCompensation2                int16s
+     37    FocalLength2                         int8u
+           ISO                                  int8u
+     38    FlashExposureCompSet2                int16s
+           ExposureCompensation2                int16s
+           FNumber                              int8u
+     39    ExposureTime                         int8u
+     40    Orientation2                         int8u
+     41    FocusPosition2                       int8u
+           FocalLength2                         int8u
+     42    FlashAction                          int8u
+           ExposureCompensation2                int16s
+     43    FocusPosition2                       int8u
+     44    FocusMode2                           int8u
+           FlashAction                          int8u
+           FlashExposureCompSet2                int16s
+     46    FocusMode2                           int8u
+           Orientation2                         int8u
+     47    FocusPosition2                       int8u
+     48    FlashAction                          int8u
+     50    FocusMode2                           int8u
+    119    FlashAction2                         int8u
+    120    FlashActionExternal                  int8u
+    124    FlashActionExternal                  int8u
+    130    FlashStatus                          int8u
+    134    FlashStatus                          int8u
+
+=head3 Sony FaceInfo Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    FacesDetected                        int16s
+      1    Face1Position                        int16u[4]
+      6    Face2Position                        int16u[4]
+     11    Face3Position                        int16u[4]
+     16    Face4Position                        int16u[4]
+     21    Face5Position                        int16u[4]
+     26    Face6Position                        int16u[4]
+     31    Face7Position                        int16u[4]
+     36    Face8Position                        int16u[4]
+
+=head3 Sony FaceInfoA Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      3    FacesDetected                        no
+     11    PotentialFace1Position               int16u[4]
+     21    PotentialFace2Position               int16u[4]
+     31    PotentialFace3Position               int16u[4]
+     41    PotentialFace4Position               int16u[4]
+     51    PotentialFace5Position               int16u[4]
+     61    PotentialFace6Position               int16u[4]
+     71    PotentialFace7Position               int16u[4]
+     81    PotentialFace8Position               int16u[4]
+     91    Face1Position                        int16u[4]
+    101    Face2Position                        int16u[4]
+    111    Face3Position                        int16u[4]
+    121    Face4Position                        int16u[4]
+
+=head3 Sony MoreInfo0201 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    283    ImageCount                           int32u
+    293    ShutterCount                         int32u
+    330    ShutterCount                         int32u
+
+=head3 Sony MoreInfo0401 Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+   1102    ShotNumberSincePowerUp               int32u
+
 =head3 Sony CameraSettings Tags
 
-Camera settings for the A200, A230, A300, A350, A700, A850 and A900.  Some
-tags are only valid for certain models.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      4    DriveMode                            int16u
-      6    WhiteBalanceFineTune                 int16s
-     16    FocusMode                            int16u
+Camera settings for the A200, A300, A350, A700, A850 and A900.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ExposureTime                         int16u
+      1    FNumber                              int16u
+      2    HighSpeedSync                        int16u
+      3    ExposureCompensationSet              int16u
+      4    DriveMode                            int16u & 0xff
+      5    WhiteBalanceSetting                  int16u
+      6    WhiteBalanceFineTune                 int16u
+      7    ColorTemperatureSet                  int16u
+      8    ColorCompensationFilterSet           int16u
+     12    ColorTemperatureCustom               int16u
+     13    ColorCompensationFilterCustom        int16u
+     15    WhiteBalance                         int16u
+     16    FocusModeSetting                     int16u
      17    AFAreaMode                           int16u
-     18    LocalAFAreaPoint                     int16u
+     18    AFPointSetting                       int16u
+     19    FlashMode                            int16u
+     20    FlashExposureCompSet                 int16u
      21    MeteringMode                         int16u
      22    ISOSetting                           int16u
@@ -9870,4 +17872,5 @@
      25    DynamicRangeOptimizerLevel           int16u
      26    CreativeStyle                        int16u
+     27    ColorSpace                           int16u
      28    Sharpness                            int16u
      29    Contrast                             int16u
@@ -9875,5 +17878,5 @@
      31    ZoneMatchingValue                    int16u
      34    Brightness                           int16u
-     35    FlashMode                            int16u
+     35    FlashControl                         int16u
      40    PrioritySetupShutterRelease          int16u
      41    AFIlluminator                        int16u
@@ -9882,21 +17885,47 @@
      44    HighISONoiseReduction                int16u
      45    ImageStyle                           int16u
+     46    FocusModeSwitch                      int16u
+     47    ShutterSpeedSetting                  int16u
+     48    ApertureSetting                      int16u
      60    ExposureProgram                      int16u
-     61    ImageStabilization                   int16u
+     61    ImageStabilizationSetting            int16u
+     62    FlashAction                          int16u
      63    Rotation                             int16u
+     64    AELock                               int16u
+     76    FlashAction2                         int16u
+     77    FocusMode                            int16u
+     80    BatteryState                         int16u
+     81    BatteryLevel                         int16u
+     83    FocusStatus                          int16u
      84    SonyImageSize                        int16u
      85    AspectRatio                          int16u
      86    Quality                              int16u
      88    ExposureLevelIncrements              int16u
+    106    RedEyeReduction                      int16u
+    154    FolderNumber                         int16u & 0x3ff
+    155    ImageNumber                          int16u & 0x3fff
 
 =head3 Sony CameraSettings2 Tags
 
-Camera settings for the A330 and A380.
-
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-     16    FocusMode                            int16u
-     17    AFAreaMode                           int16u
-     18    LocalAFAreaPoint                     int16u
+Camera settings for the A230, A290, A330, A380 and A390.
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    ExposureTime                         int16u
+      1    FNumber                              int16u
+      2    HighSpeedSync                        int16u
+      3    ExposureCompensationSet              int16u
+      4    WhiteBalanceSetting                  int16u
+      5    WhiteBalanceFineTune                 int16u
+      6    ColorTemperatureSet                  int16u
+      7    ColorCompensationFilterSet           int16u
+      8    CustomWB_RGBLevels                   int16u[3]
+     11    ColorTemperatureCustom               int16u
+     12    ColorCompensationFilterCustom        int16u
+     14    WhiteBalance                         int16u
+     15    FocusModeSetting                     int16u
+     16    AFAreaMode                           int16u
+     17    AFPointSetting                       int16u
+     18    FlashExposureCompSet                 int16u
      19    MeteringMode                         int16u
      20    ISOSetting                           int16u
@@ -9907,23 +17936,158 @@
      26    Contrast                             int16u
      27    Saturation                           int16u
-     35    FlashMode                            int16u
+     31    FlashControl                         int16u
+     37    LongExposureNoiseReduction           int16u
+     38    HighISONoiseReduction                int16u
+     39    ImageStyle                           int16u
+     40    ShutterSpeedSetting                  int16u
+     41    ApertureSetting                      int16u
      60    ExposureProgram                      int16u
+     61    ImageStabilizationSetting            int16u
+     62    FlashAction                          int16u
      63    Rotation                             int16u
+     64    AELock                               int16u
+     76    FlashAction2                         int16u
+     77    FocusMode                            int16u
+     83    FocusStatus                          int16u
      84    SonyImageSize                        int16u
+     85    AspectRatio                          int16u
+     86    Quality                              int16u
+     88    ExposureLevelIncrements              int16u
+    126    DriveMode                            int16u & 0xff
+    127    FlashMode                            int16u
+    131    ColorSpace                           int16u
+
+=head3 Sony CameraSettings3 Tags
+
+Camera settings for models such as the A33, A35, A55, A450, A500, A550,
+A560, A580, NEX-3, NEX-5, NEX-C3 and NEX-VG10E.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    ShutterSpeedSetting                  int8u
+      1    ApertureSetting                      int8u
+      2    ISOSetting                           int8u
+      3    ExposureCompensationSet              int8u
+      4    DriveModeSetting                     int8u
+      5    ExposureProgram                      int8u
+      6    FocusModeSetting                     int8u
+      7    MeteringMode                         int8u
+      9    SonyImageSize                        int8u
+     10    AspectRatio                          int8u
+     11    Quality                              int8u
+     12    DynamicRangeOptimizerSetting         int8u
+     13    DynamicRangeOptimizerLevel           int8u
+     14    ColorSpace                           int8u
+     15    CreativeStyleSetting                 int8u
+     16    ContrastSetting                      int8s
+     17    SaturationSetting                    int8s
+     18    SharpnessSetting                     int8s
+     22    WhiteBalanceSetting                  int8u
+     23    ColorTemperatureSetting              int8u
+     24    ColorCompensationFilterSet           int8s
+     25    CustomWB_RGBLevels                   int16uRev[3]
+     32    FlashMode                            int8u
+     33    FlashControl                         int8u
+     35    FlashExposureCompSet                 int8u
+     36    AFAreaMode                           int8u
+     37    LongExposureNoiseReduction           int8u
+     38    HighISONoiseReduction                int8u
+     39    SmileShutterMode                     int8u
+     40    RedEyeReduction                      int8u
+     45    HDRSetting                           int8u
+     46    HDRLevel                             int8u
+     47    ViewingMode                          int8u
+     48    FaceDetection                        int8u
+     49    SmileShutter                         int8u
+     50    SweepPanoramaSize                    int8u
+     51    SweepPanoramaDirection               int8u
+     52    DriveMode                            int8u
+     53    MultiFrameNoiseReduction             int8u
+     54    LiveViewAFSetting                    int8u
+     56    PanoramaSize3D                       int8u
+    131    AFButtonPressed                      int8u
+    132    LiveViewMetering                     int8u
+    133    ViewingMode2                         int8u
+    134    AELock                               int8u
+    135    FlashStatusBuilt-in                  int8u
+    136    FlashStatusExternal                  int8u
+    139    LiveViewFocusMode                    int8u
+    153    LensMount                            int8u
+    268    SequenceNumber                       int8u
+    276    FolderNumber                         int32u & 0xffc000
+  276.1    ImageNumber                          int32u & 0x3fff
+    512    ShotNumberSincePowerUp2              int32u
+    643    AFButtonPressed                      int8u
+    644    LiveViewMetering                     int8u
+    645    ViewingMode2                         int8u
+    646    AELock                               int8u
+    647    FlashStatusBuilt-in                  int8u
+    648    FlashStatusExternal                  int8u
+    651    LiveViewFocusMode                    int8u
+    780    SequenceNumber                       int8u
+    788    ImageNumber                          int16u & 0x3fff
+    790    FolderNumber                         int16u & 0x3ff
+   1008    LensE-mountVersion                   int16u
+   1011    LensFirmwareVersion                  int16u~
+   1015    LensType2                            int16u
+   1024    ImageNumber                          int16u & 0x3fff
+   1026    FolderNumber                         int16u & 0x3ff
 
 =head3 Sony CameraSettingsUnknown Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
   [no tags known]
 
+=head3 Sony ExtraInfo Tags
+
+Extra hardware information for the A850 and A900.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    BatteryTemperature                   int8u
+      2    BatteryUnknown?                      no
+      8    BatteryVoltage?                      no
+     10    ImageStabilization2?                 int8u
+     12    BatteryLevel                         int8u
+     26    ExtraInfoVersion                     int8u[4]
+
+=head3 Sony ExtraInfo2 Tags
+
+Extra hardware information for the A230/290/330/380/390.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    BatteryLevel                         int8u
+     18    ImageStabilization                   int8u
+
+=head3 Sony ExtraInfo3 Tags
+
+Extra hardware information for the A33, A35, A55, A450, A500, A550, A560,
+A580 and NEX-3/5/C3/VG10.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    BatteryUnknown?                      int16u
+      2    BatteryTemperature                   int8u
+      4    BatteryLevel                         int8u
+      6    BatteryVoltage1                      int16u
+      8    BatteryVoltage2                      int16u
+     17    ImageStabilization                   int8u
+     20    BatteryState                         int8u
+           ExposureProgram                      int8u
+           ModeDialPosition                     int8u
+     22    MemoryCardConfiguration              int8u & 0xc0
+           CameraOrientation                    int8u
+     24    CameraOrientation                    int8u & 0x30
+
 =head3 Sony Panorama Tags
 
-Tags found only in panorama images from Sony cameras such as the HX1, HX5
-and TX7.  The width/height values of these tags are not affected by camera
+Tags found in panorama images from various Sony DSC, NEX, SLT and DSLR
+cameras.  The width/height values of these tags are not affected by camera
 rotation -- the width is always the longer dimension.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       1    PanoramaFullWidth                    int32u
       2    PanoramaFullHeight                   int32u
